
QGIS Application - Bug report #2301

problem when editing adjacent polygons and "enable toplogical editing" not active

2009-12-19 05:39 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 12361

Description

Take two adjacent polygons and check that in the project properties the "enable toplogical editing" option is not enabled.

With the node tool select one node of the sahred border and move it above the other polygon.

As a result the reshaped area stays under the other polygon instead of above. The new position of the node is marked but is like a point.

See screenshot.

Tested on trunk.

History

#1 - 2009-12-22 10:21 AM - Marco Hugentobler

Hm, the editing tool has no possibility to influence the order in which the features are drawn (it comes from the data source). So I wonder if this should be

classified as bug.

#2 - 2009-12-22 11:06 AM - Giovanni Manghi

Replying to [comment:1 mhugent]:

So I wonder if this should be classified as bug.

I believe that this "bug" takes origin from the following.

Take two adjacent polygons and leave "enable toplogical editing" disabled. Then with the node tool add nodes along a "common" segment. Obviously the

new nodes are added only to the active polygon.

To show this new nodes as belonging only to one of the two polygons, the markers are rendered has half circles (I know that now are crosses, but it is the

same), because I guess the other half is rendered under the adjacent polygon.

This is ok, but when it comes to reshape a polygon in a way that it has to overlap the adjacent one, then you see the described behavior. The problem is

this way you can see the nodes but you cannot see the new shape.

I understand it might be a not very common situation but it can happen indeed.
#3 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-20 03:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Target version changed from Version 2.0.0 to Future Release - Nice to have

- Operating System deleted (All)

- Status info deleted (0)

- Resolution set to wontfix
